- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.iocs/find#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.iocs/find#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.iocs/find#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.iocs/find#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.iocs/find#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.iocs/find#body.FindIocsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.iocs/find#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.iocs/find#body.aspect_1)

**Full name**: projects.locations.instances.iocs.find

Gets a list of Iocs given a list of parameters that uniquely identify them.

### HTTP request

`POST https://{endpoint}/v1/{parent}/iocs:find`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which is the SecOps instance. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "fieldAndValue": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/FieldAndValue`) } ] } ``` |

| Fields ||
|---|---|
| `fieldAndValue[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/FieldAndValue`)`` Required. Parameters to identify the IOCs. Each item should uniquely identify one Ioc record. Only `valueType` is supported, and only the following ValueType options: - HASH_MD5 - HASH_SHA1 - HASH_SHA256 - DOMAIN_NAME - RESOLVED_IP_ADDRESS |

### Response body

The response to a iocs.find request.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "iocs": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.iocs#Ioc`) } ] } ``` |

| Fields ||
|---|---|
| `iocs[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.iocs#Ioc`)`` The Iocs that match the request. Note this returns a max of 1000 IOCs, in the order requested. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.iocs.findIocs`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).